mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Reflection.PropertyInfo System.Runtime.InteropServices._PropertyBuilder System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._PropertyBuilder)) System.Runtime.InteropServices.ComVisible(true)

A PropertyBuilder is always associated with a TypeBuilder. The TypeBuilder. DefineProperty method will return a new PropertyBuilder to a client.

Defines the properties for a type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds one of the other methods associated with this property.

  A MethodBuilder object that represents the other method.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyAttributes To be added. To be added.

  Gets the attributes for this property.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Boolean property indicating if the property can be read. If the property does not have a get accessor, it cannot be read.

  Gets a value indicating whether the property can be read.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Boolean property indicating if the property can be written to. If the property does not have a set accessor, it cannot be written to.

  Gets a value indicating whether the property can be written to.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets the class that declares this member.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[] ``

  To get the accessors of a property, reflect on the property's parent type using Type.GetType or Assembly.GetType, retrieve the Reflection property object from the type, and call PropertyInfo.GetAccessors.

  Returns an array of the public and non-public get and set accessors on this property.

  An array of type MethodInfo containing the matching public or non-public accessors, or an empty array if matching accessors do not exist on this property.

  Indicates whether non-public methods should be returned in the MethodInfo array. true if non-public methods are to be included; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  Reflect on the property's parent type using Type.GetType or Assembly.GetType, retrieve the Reflection property object from the type, and call PropertyInfo.GetCustomAttributes.

  Returns an array of all the custom attributes for this property.

  An array of all the custom attributes.

  If true, walks up this property's inheritance chain to find the custom attributes
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  Reflect on the property's parent type using Type.GetType or Assembly.GetType, retrieve the Reflection property object from the type, and call PropertyInfo.GetCustomAttributes.

  Returns an array of custom attributes identified by .

  An array of custom attributes defined on this reflected member, or null if no attributes are defined on this member.

  An array of custom attributes identified by type. If true, walks up this property's inheritance chain to find the custom attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo ``

  To get the getter of a property, reflect on the property's parent type using Type.GetType or Assembly.GetType, retrieve the Reflection property object from the type, and call PropertyInfo.GetGetMethod.

  Returns the public and non-public get accessor for this property.

  A MethodInfo object representing the get accessor for this property, if is true. Returns null if is false and the get accessor is non-public, or if is true but no get accessors exist.

  Indicates whether non-public get accessors should be returned. true if non-public methods are to be included; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterInfo[]

  To get the index parameters of a property, reflect on the property's parent type using Type.GetType or Assembly.GetType, retrieve the Reflection property object from the type, and call PropertyInfo.GetIndexParameters.

  Returns an array of all the index parameters for the property.

  An array of type ParameterInfo containing the parameters for the indexes.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo ``

  To get the setter of a property, reflect on the property's parent type using Type.GetType or Assembly.GetType, retrieve the Reflection property object from the type, and call PropertyInfo.GetSetMethod.

  Returns the set accessor for this property.

  Value

  Condition

  A object representing the Set method for this property.

  The set accessor is public.

  is true and non-public methods can be returned.

  null

  is true, but the property is read-only.

  is false and the set accessor is non-public.

  Indicates whether the accessor should be returned if it is non-public. true if non-public methods are to be included; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  To get the value of a property, reflect on the property's parent type using Type.GetType or Assembly.GetType, retrieve the Reflection property object from the type, and call PropertyInfo.GetValue.

  Gets the value of the indexed property by calling the property's getter method.

  The value of the specified indexed property.

  The object whose property value will be returned. Optional index values for indexed properties. This value should be null for non-indexed properties.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` ``

  To get the value of a property, reflect on the property's parent type using Type.GetType or Assembly.GetType, retrieve the Reflection property object from the type, and call PropertyInfo.GetValue.

  Gets the value of a property having the specified binding, index, and CultureInfo.

  The property value for .

  The object whose property value will be returned. The invocation attribute. This must be a bit flag from BindingFlags : InvokeMethod, CreateInstance, Static, GetField, SetField, GetProperty, or SetProperty. A suitable invocation attribute must be specified. If a static member is to be invoked, the Static flag of BindingFlags must be set. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects using reflection. If is null, the default binder is used. Optional index values for indexed properties. This value should be null for non-indexed properties. The CultureInfo object that represents the culture for which the resource is to be localized. Note that if the resource is not localized for this culture, the CultureInfo.Parent method will be called successively in search of a match. If this value is null, the CultureInfo is obtained from the CultureInfo.CurrentUICulture property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Reflect on the property's parent type using Type.GetType or Assembly.GetType, retrieve the Reflection property object from the type, and call PropertyInfo.IsDefined.

  Indicates whether one or more instance of is defined on this property.

  true if one or more instance of is defined on this property; otherwise false.

  The Type object to which the custom attributes are applied. Specifies whether to walk up this property's inheritance chain to find the custom attributes.
- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.Module To be added.

  This property is provided as a convenience for the user. It is equivalent to using the property to get the type in which the property is declared, and then calling the property of the resulting object.

  Gets the module in which the type that declares the current property is being defined.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of this member.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.PropertyToken To be added: an object of type 'PropertyToken' To be added

  Retrieves the token for this property.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of the field of this property.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets the class object that was used to obtain this instance of MemberInfo.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  is restricted to the following types: Boolean, SByte, Int16, Int32, Int64, Byte, UInt16, UInt32, UInt64, Single, Double, DateTime, Char, String, and Enum. If the property type is a reference type, CLS compliance requires to be null. However, starting with the net_v40_long, can be non-null for reference types as long as the value can be assigned to that reference type. For example, an Int32 value can be assigned to a property of type . This is not CLS-compliant, but it can be useful in interop scenarios.

  Sets the default value of this property.

  The default value of this property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Set a custom attribute using a custom attribute builder.

  An instance of a helper class to define the custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` ``

  See the metadata specification in the ECMA Partition II documentation for details on how to format . The Partition II documentation is available online on MSDN (ECMA C# and Common Language Infrastructure Standards Web page) and on the ECMA Web site (Standard ECMA-335 Common Language Infrastructure document).

  Set a custom attribute using a specified custom attribute blob.

  The constructor for the custom attribute. A byte blob representing the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Sets the method that gets the property value.

  A MethodBuilder object that represents the method that gets the property value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Sets the method that sets the property value.

  A MethodBuilder object that represents the method that sets the property value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  To set the value of a property, reflect on the property's parent type using or , retrieve the object from the type, and call .

  Sets the value of the property with optional index values for index properties.

  The object whose property value will be set. The new value for this property. Optional index values for indexed properties. This value should be null for non-indexed properties.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` ``

  To set the value of a property, reflect on the property's parent type using or , retrieve the object from the type, and call .

  Sets the property value for the given object to the given value.

  The object whose property value will be returned. The new value for this property. The invocation attribute. This must be a bit flag from BindingFlags : InvokeMethod, CreateInstance, Static, GetField, SetField, GetProperty, or SetProperty. A suitable invocation attribute must be specified. If a static member is to be invoked, the Static flag of BindingFlags must be set. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects using reflection. If is null, the default binder is used. Optional index values for indexed properties. This value should be null for non-indexed properties. The CultureInfo object that represents the culture for which the resource is to be localized. Note that if the resource is not localized for this culture, the CultureInfo.Parent method will be called successively in search of a match. If this value is null, the CultureInfo is obtained from the CultureInfo.CurrentUICulture property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.